明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1711|回复: 80

[源码] 简单图元更新

  [复制链接]
发表于 2016-9-9 08:15 | 显示全部楼层 |阅读模式
;;152.1 [功能] 局部重生 by Lee Mac
;;示例 (MJ:Update (entget (car(entsel))))
(defun MJ:Update (enlist)
  (entupd (cdr (assoc -1 enlist)))
)
;;[功能]简单图元更新
;;示例 (Update (car(entsel)))
  1. (defun Update (e)
  2.   (entmod (cons -1 e))
  3. )

;;选择单行文字(Update (car(entsel)) '((62 . 2) (1 . "31")))
  1. (defun Update (e Lst)
  2.   (cond        (Lst (entmod (cons (cons -1 e) Lst)))
  3.         (T (entmod (cons -1 e)))
  4.   )
  5. )

发表于 2016-9-9 08:24 | 显示全部楼层
黄工威武黄工威武
发表于 2016-9-9 08:25 | 显示全部楼层
从没有在黄大师的贴子里如此的靠前,学习
发表于 2016-9-9 08:29 | 显示全部楼层
黄大师发力了啊
发表于 2016-9-9 09:39 | 显示全部楼层
乍看是怎么回事
发表于 2016-9-9 09:44 来自手机 | 显示全部楼层
回复为看看,感觉这样回复交流少了
发表于 2016-9-9 09:54 | 显示全部楼层
学习学习!!
发表于 2016-9-9 10:08 | 显示全部楼层
论坛刚 修复就发好东西了!
发表于 2016-9-9 10:25 | 显示全部楼层
这个要支持,想当年,我只上明经的
发表于 2016-9-9 10:26 | 显示全部楼层
支持黄大师啊啊
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-4-20 05:34 , Processed in 0.226033 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表